Changeset 2140 for ThirdParty/Blas


Ignore:
Timestamp:
Mar 26, 2011 2:38:37 PM (8 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/trunk/configure

    r2137 r2140  
    39153915
    39163916# Get the linker flags (FLIBS) that are required for linking against this blas library
     3917
     3918# get FLIBS
    39173919ac_ext=f
    39183920ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    39663968ac_save_FFLAGS=$FFLAGS
    39673969FFLAGS="$FFLAGS $ac_verb"
    3968 (eval echo $as_me:3968: \"$ac_link\") >&5
     3970(eval echo $as_me:3970: \"$ac_link\") >&5
    39693971ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39703972echo "$ac_f77_v_output" >&5
     
    40444046ac_save_FFLAGS=$FFLAGS
    40454047FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4046 (eval echo $as_me:4046: \"$ac_link\") >&5
     4048(eval echo $as_me:4048: \"$ac_link\") >&5
    40474049ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40484050echo "$ac_f77_v_output" >&5
     
    42104212
    42114213
    4212 ac_ext=f
    4213 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4214 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4215 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4216 
    4217 ac_ext=f
    4218 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4219 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4220 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4221 
    4222 echo "$as_me:$LINENO: checking for dummy main to link with Fortran libraries" >&5
    4223 echo $ECHO_N "checking for dummy main to link with Fortran libraries... $ECHO_C" >&6
    4224 if test "${ac_cv_f77_dummy_main+set}" = set; then
    4225   echo $ECHO_N "(cached) $ECHO_C" >&6
    4226 else
    4227   ac_f77_dm_save_LIBS=$LIBS
    4228  LIBS="$LIBS $FLIBS"
    4229  ac_fortran_dm_var=F77_DUMMY_MAIN
    4230  ac_ext=c
     4214ac_ext=c
    42314215ac_cpp='$CPP $CPPFLAGS'
    42324216ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    42344218ac_compiler_gnu=$ac_cv_c_compiler_gnu
    42354219
    4236  # First, try linking without a dummy main:
    4237  cat >conftest.$ac_ext <<_ACEOF
    4238 /* confdefs.h.  */
    4239 _ACEOF
    4240 cat confdefs.h >>conftest.$ac_ext
    4241 cat >>conftest.$ac_ext <<_ACEOF
    4242 /* end confdefs.h.  */
    4243 
    4244 #ifdef F77_DUMMY_MAIN
    4245 
    4246 #  ifdef __cplusplus
    4247      extern "C"
    4248 #  endif
    4249    int F77_DUMMY_MAIN() { return 1; }
    4250 
    4251 #endif
    4252 int
    4253 main ()
    4254 {
    4255 
    4256   ;
    4257   return 0;
    4258 }
    4259 _ACEOF
    4260 rm -f conftest.$ac_objext conftest$ac_exeext
    4261 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4262   (eval $ac_link) 2>conftest.er1
    4263   ac_status=$?
    4264   grep -v '^ *+' conftest.er1 >conftest.err
    4265   rm -f conftest.er1
    4266   cat conftest.err >&5
    4267   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4268   (exit $ac_status); } &&
    4269          { ac_try='test -z "$ac_c_werror_flag"
    4270                          || test ! -s conftest.err'
    4271   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4272   (eval $ac_try) 2>&5
    4273   ac_status=$?
    4274   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4275   (exit $ac_status); }; } &&
    4276          { ac_try='test -s conftest$ac_exeext'
    4277   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4278   (eval $ac_try) 2>&5
    4279   ac_status=$?
    4280   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4281   (exit $ac_status); }; }; then
    4282   ac_cv_fortran_dummy_main=none
    4283 else
    4284   echo "$as_me: failed program was:" >&5
    4285 sed 's/^/| /' conftest.$ac_ext >&5
    4286 
    4287 ac_cv_fortran_dummy_main=unknown
    4288 fi
    4289 rm -f conftest.err conftest.$ac_objext \
    4290       conftest$ac_exeext conftest.$ac_ext
    4291 
    4292  if test $ac_cv_fortran_dummy_main = unknown; then
    4293    for ac_func in MAIN__ MAIN_ __main MAIN _MAIN __MAIN main_ main__ _main; do
    4294      cat >conftest.$ac_ext <<_ACEOF
    4295 /* confdefs.h.  */
    4296 _ACEOF
    4297 cat confdefs.h >>conftest.$ac_ext
    4298 cat >>conftest.$ac_ext <<_ACEOF
    4299 /* end confdefs.h.  */
    4300 #define $ac_fortran_dm_var $ac_func
    4301 #ifdef F77_DUMMY_MAIN
    4302 
    4303 #  ifdef __cplusplus
    4304      extern "C"
    4305 #  endif
    4306    int F77_DUMMY_MAIN() { return 1; }
    4307 
    4308 #endif
    4309 int
    4310 main ()
    4311 {
    4312 
    4313   ;
    4314   return 0;
    4315 }
    4316 _ACEOF
    4317 rm -f conftest.$ac_objext conftest$ac_exeext
    4318 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4319   (eval $ac_link) 2>conftest.er1
    4320   ac_status=$?
    4321   grep -v '^ *+' conftest.er1 >conftest.err
    4322   rm -f conftest.er1
    4323   cat conftest.err >&5
    4324   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4325   (exit $ac_status); } &&
    4326          { ac_try='test -z "$ac_c_werror_flag"
    4327                          || test ! -s conftest.err'
    4328   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4329   (eval $ac_try) 2>&5
    4330   ac_status=$?
    4331   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4332   (exit $ac_status); }; } &&
    4333          { ac_try='test -s conftest$ac_exeext'
    4334   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4335   (eval $ac_try) 2>&5
    4336   ac_status=$?
    4337   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4338   (exit $ac_status); }; }; then
    4339   ac_cv_fortran_dummy_main=$ac_func; break
    4340 else
    4341   echo "$as_me: failed program was:" >&5
    4342 sed 's/^/| /' conftest.$ac_ext >&5
    4343 
    4344 fi
    4345 rm -f conftest.err conftest.$ac_objext \
    4346       conftest$ac_exeext conftest.$ac_ext
    4347    done
    4348  fi
    4349  ac_ext=f
    4350 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4351 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4352 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4353  ac_cv_f77_dummy_main=$ac_cv_fortran_dummy_main
    4354  rm -f conftest*
    4355  LIBS=$ac_f77_dm_save_LIBS
    4356 
    4357 fi
    4358 echo "$as_me:$LINENO: result: $ac_cv_f77_dummy_main" >&5
    4359 echo "${ECHO_T}$ac_cv_f77_dummy_main" >&6
    4360 F77_DUMMY_MAIN=$ac_cv_f77_dummy_main
    4361 if test "$F77_DUMMY_MAIN" != unknown; then
    4362   if test $F77_DUMMY_MAIN != none; then
    4363 
    4364 cat >>confdefs.h <<_ACEOF
    4365 #define F77_DUMMY_MAIN $F77_DUMMY_MAIN
    4366 _ACEOF
    4367 
    4368   if test "x$ac_cv_fc_dummy_main" = "x$ac_cv_f77_dummy_main"; then
    4369 
    4370 cat >>confdefs.h <<\_ACEOF
    4371 #define FC_DUMMY_MAIN_EQ_F77 1
    4372 _ACEOF
    4373 
    4374   fi
    4375 fi
    4376 else
    4377   { { echo "$as_me:$LINENO: error: linking to Fortran libraries from C fails
    4378 See \`config.log' for more details." >&5
    4379 echo "$as_me: error: linking to Fortran libraries from C fails
    4380 See \`config.log' for more details." >&2;}
    4381    { (exit 1); exit 1; }; }
    4382 fi
    4383 
    4384 
    4385 ac_ext=f
    4386 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4387 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4388 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4389 
    4390 ac_ext=f
    4391 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4392 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4393 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4394 echo "$as_me:$LINENO: checking for Fortran name-mangling scheme" >&5
    4395 echo $ECHO_N "checking for Fortran name-mangling scheme... $ECHO_C" >&6
    4396 if test "${ac_cv_f77_mangling+set}" = set; then
    4397   echo $ECHO_N "(cached) $ECHO_C" >&6
    4398 else
    4399   cat >conftest.$ac_ext <<_ACEOF
    4400       subroutine foobar()
    4401       return
    4402       end
    4403       subroutine foo_bar()
    4404       return
    4405       end
    4406 _ACEOF
    4407 rm -f conftest.$ac_objext
    4408 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    4409   (eval $ac_compile) 2>conftest.er1
    4410   ac_status=$?
    4411   grep -v '^ *+' conftest.er1 >conftest.err
    4412   rm -f conftest.er1
    4413   cat conftest.err >&5
    4414   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4415   (exit $ac_status); } &&
    4416          { ac_try='test -z "$ac_f77_werror_flag"
    4417                          || test ! -s conftest.err'
    4418   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4419   (eval $ac_try) 2>&5
    4420   ac_status=$?
    4421   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4422   (exit $ac_status); }; } &&
    4423          { ac_try='test -s conftest.$ac_objext'
    4424   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4425   (eval $ac_try) 2>&5
    4426   ac_status=$?
    4427   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4428   (exit $ac_status); }; }; then
    4429   mv conftest.$ac_objext cfortran_test.$ac_objext
    4430 
    4431   ac_save_LIBS=$LIBS
    4432   LIBS="cfortran_test.$ac_objext $LIBS $FLIBS"
    4433 
    4434   ac_ext=c
    4435 ac_cpp='$CPP $CPPFLAGS'
    4436 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    4437 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4438 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    4439   ac_success=no
    4440   for ac_foobar in foobar FOOBAR; do
    4441     for ac_underscore in "" "_"; do
    4442       ac_func="$ac_foobar$ac_underscore"
    4443       cat >conftest.$ac_ext <<_ACEOF
    4444 /* confdefs.h.  */
    4445 _ACEOF
    4446 cat confdefs.h >>conftest.$ac_ext
    4447 cat >>conftest.$ac_ext <<_ACEOF
    4448 /* end confdefs.h.  */
    4449 
    4450 /* Override any gcc2 internal prototype to avoid an error.  */
    4451 #ifdef __cplusplus
    4452 extern "C"
    4453 #endif
    4454 /* We use char because int might match the return type of a gcc2
    4455    builtin and then its argument prototype would still apply.  */
    4456 char $ac_func ();
    4457 #ifdef F77_DUMMY_MAIN
    4458 
    4459 #  ifdef __cplusplus
    4460      extern "C"
    4461 #  endif
    4462    int F77_DUMMY_MAIN() { return 1; }
    4463 
    4464 #endif
    4465 int
    4466 main ()
    4467 {
    4468 $ac_func ();
    4469   ;
    4470   return 0;
    4471 }
    4472 _ACEOF
    4473 rm -f conftest.$ac_objext conftest$ac_exeext
    4474 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4475   (eval $ac_link) 2>conftest.er1
    4476   ac_status=$?
    4477   grep -v '^ *+' conftest.er1 >conftest.err
    4478   rm -f conftest.er1
    4479   cat conftest.err >&5
    4480   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4481   (exit $ac_status); } &&
    4482          { ac_try='test -z "$ac_c_werror_flag"
    4483                          || test ! -s conftest.err'
    4484   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4485   (eval $ac_try) 2>&5
    4486   ac_status=$?
    4487   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4488   (exit $ac_status); }; } &&
    4489          { ac_try='test -s conftest$ac_exeext'
    4490   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4491   (eval $ac_try) 2>&5
    4492   ac_status=$?
    4493   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4494   (exit $ac_status); }; }; then
    4495   ac_success=yes; break 2
    4496 else
    4497   echo "$as_me: failed program was:" >&5
    4498 sed 's/^/| /' conftest.$ac_ext >&5
    4499 
    4500 fi
    4501 rm -f conftest.err conftest.$ac_objext \
    4502       conftest$ac_exeext conftest.$ac_ext
    4503     done
    4504   done
    4505   ac_ext=f
    4506 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4507 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4508 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4509 
    4510   if test "$ac_success" = "yes"; then
    4511      case $ac_foobar in
    4512         foobar)
    4513            ac_case=lower
    4514            ac_foo_bar=foo_bar
    4515            ;;
    4516         FOOBAR)
    4517            ac_case=upper
    4518            ac_foo_bar=FOO_BAR
    4519            ;;
    4520      esac
    4521 
    4522      ac_ext=c
    4523 ac_cpp='$CPP $CPPFLAGS'
    4524 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    4525 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4526 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    4527      ac_success_extra=no
    4528      for ac_extra in "" "_"; do
    4529         ac_func="$ac_foo_bar$ac_underscore$ac_extra"
    4530         cat >conftest.$ac_ext <<_ACEOF
    4531 /* confdefs.h.  */
    4532 _ACEOF
    4533 cat confdefs.h >>conftest.$ac_ext
    4534 cat >>conftest.$ac_ext <<_ACEOF
    4535 /* end confdefs.h.  */
    4536 
    4537 /* Override any gcc2 internal prototype to avoid an error.  */
    4538 #ifdef __cplusplus
    4539 extern "C"
    4540 #endif
    4541 /* We use char because int might match the return type of a gcc2
    4542    builtin and then its argument prototype would still apply.  */
    4543 char $ac_func ();
    4544 #ifdef F77_DUMMY_MAIN
    4545 
    4546 #  ifdef __cplusplus
    4547      extern "C"
    4548 #  endif
    4549    int F77_DUMMY_MAIN() { return 1; }
    4550 
    4551 #endif
    4552 int
    4553 main ()
    4554 {
    4555 $ac_func ();
    4556   ;
    4557   return 0;
    4558 }
    4559 _ACEOF
    4560 rm -f conftest.$ac_objext conftest$ac_exeext
    4561 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4562   (eval $ac_link) 2>conftest.er1
    4563   ac_status=$?
    4564   grep -v '^ *+' conftest.er1 >conftest.err
    4565   rm -f conftest.er1
    4566   cat conftest.err >&5
    4567   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4568   (exit $ac_status); } &&
    4569          { ac_try='test -z "$ac_c_werror_flag"
    4570                          || test ! -s conftest.err'
    4571   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4572   (eval $ac_try) 2>&5
    4573   ac_status=$?
    4574   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4575   (exit $ac_status); }; } &&
    4576          { ac_try='test -s conftest$ac_exeext'
    4577   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4578   (eval $ac_try) 2>&5
    4579   ac_status=$?
    4580   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4581   (exit $ac_status); }; }; then
    4582   ac_success_extra=yes; break
    4583 else
    4584   echo "$as_me: failed program was:" >&5
    4585 sed 's/^/| /' conftest.$ac_ext >&5
    4586 
    4587 fi
    4588 rm -f conftest.err conftest.$ac_objext \
    4589       conftest$ac_exeext conftest.$ac_ext
    4590      done
    4591      ac_ext=f
    4592 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4593 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4594 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4595 
    4596      if test "$ac_success_extra" = "yes"; then
    4597         ac_cv_f77_mangling="$ac_case case"
    4598         if test -z "$ac_underscore"; then
    4599            ac_cv_f77_mangling="$ac_cv_f77_mangling, no underscore"
    4600         else
    4601            ac_cv_f77_mangling="$ac_cv_f77_mangling, underscore"
    4602         fi
    4603         if test -z "$ac_extra"; then
    4604            ac_cv_f77_mangling="$ac_cv_f77_mangling, no extra underscore"
    4605         else
    4606            ac_cv_f77_mangling="$ac_cv_f77_mangling, extra underscore"
    4607         fi
    4608       else
    4609         ac_cv_f77_mangling="unknown"
    4610       fi
    4611   else
    4612      ac_cv_f77_mangling="unknown"
    4613   fi
    4614 
    4615   LIBS=$ac_save_LIBS
    4616   rm -f cfortran_test* conftest*
    4617 else
    4618   echo "$as_me: failed program was:" >&5
    4619 sed 's/^/| /' conftest.$ac_ext >&5
    4620 
    4621 { { echo "$as_me:$LINENO: error: cannot compile a simple Fortran program
    4622 See \`config.log' for more details." >&5
    4623 echo "$as_me: error: cannot compile a simple Fortran program
    4624 See \`config.log' for more details." >&2;}
    4625    { (exit 1); exit 1; }; }
    4626 fi
    4627 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    4628 
    4629 fi
    4630 echo "$as_me:$LINENO: result: $ac_cv_f77_mangling" >&5
    4631 echo "${ECHO_T}$ac_cv_f77_mangling" >&6
    4632 
    4633 ac_ext=f
    4634 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4635 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4636 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4637 
    4638 
    4639 ac_ext=f
    4640 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4641 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4642 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4643 
    4644 
    4645 ac_ext=f
    4646 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4647 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4648 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4649 
    4650 
    4651 case $ac_cv_f77_mangling in
    4652   "lower case, no underscore, no extra underscore")
    4653           cat >>confdefs.h <<\_ACEOF
    4654 #define F77_FUNC(name,NAME) name
    4655 _ACEOF
    4656 
    4657           cat >>confdefs.h <<\_ACEOF
    4658 #define F77_FUNC_(name,NAME) name
    4659 _ACEOF
    4660  ;;
    4661   "lower case, no underscore, extra underscore")
    4662           cat >>confdefs.h <<\_ACEOF
    4663 #define F77_FUNC(name,NAME) name
    4664 _ACEOF
    4665 
    4666           cat >>confdefs.h <<\_ACEOF
    4667 #define F77_FUNC_(name,NAME) name ## _
    4668 _ACEOF
    4669  ;;
    4670   "lower case, underscore, no extra underscore")
    4671           cat >>confdefs.h <<\_ACEOF
    4672 #define F77_FUNC(name,NAME) name ## _
    4673 _ACEOF
    4674 
    4675           cat >>confdefs.h <<\_ACEOF
    4676 #define F77_FUNC_(name,NAME) name ## _
    4677 _ACEOF
    4678  ;;
    4679   "lower case, underscore, extra underscore")
    4680           cat >>confdefs.h <<\_ACEOF
    4681 #define F77_FUNC(name,NAME) name ## _
    4682 _ACEOF
    4683 
    4684           cat >>confdefs.h <<\_ACEOF
    4685 #define F77_FUNC_(name,NAME) name ## __
    4686 _ACEOF
    4687  ;;
    4688   "upper case, no underscore, no extra underscore")
    4689           cat >>confdefs.h <<\_ACEOF
    4690 #define F77_FUNC(name,NAME) NAME
    4691 _ACEOF
    4692 
    4693           cat >>confdefs.h <<\_ACEOF
    4694 #define F77_FUNC_(name,NAME) NAME
    4695 _ACEOF
    4696  ;;
    4697   "upper case, no underscore, extra underscore")
    4698           cat >>confdefs.h <<\_ACEOF
    4699 #define F77_FUNC(name,NAME) NAME
    4700 _ACEOF
    4701 
    4702           cat >>confdefs.h <<\_ACEOF
    4703 #define F77_FUNC_(name,NAME) NAME ## _
    4704 _ACEOF
    4705  ;;
    4706   "upper case, underscore, no extra underscore")
    4707           cat >>confdefs.h <<\_ACEOF
    4708 #define F77_FUNC(name,NAME) NAME ## _
    4709 _ACEOF
    4710 
    4711           cat >>confdefs.h <<\_ACEOF
    4712 #define F77_FUNC_(name,NAME) NAME ## _
    4713 _ACEOF
    4714  ;;
    4715   "upper case, underscore, extra underscore")
    4716           cat >>confdefs.h <<\_ACEOF
    4717 #define F77_FUNC(name,NAME) NAME ## _
    4718 _ACEOF
    4719 
    4720           cat >>confdefs.h <<\_ACEOF
    4721 #define F77_FUNC_(name,NAME) NAME ## __
    4722 _ACEOF
    4723  ;;
    4724   *)
    4725           { echo "$as_me:$LINENO: WARNING: unknown Fortran name-mangling scheme" >&5
    4726 echo "$as_me: WARNING: unknown Fortran name-mangling scheme" >&2;}
    4727           ;;
    4728 esac
    4729 
    4730 ac_ext=f
    4731 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4732 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4733 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4734 
     4220orig_FLIBS="$FLIBS"
    47354221
    47364222# If FLIBS has been set by the user, we just restore its value here
     
    47484234      esac
    47494235    done
    4750     if test "x$FLIBS" != "x$my_flibs" ; then
    4751       { echo "$as_me:$LINENO: \"corrected FLIBS: $my_flibs\"" >&5
    4752 echo "$as_me: \"corrected FLIBS: $my_flibs\"" >&6;}
    4753     fi
    47544236    FLIBS="$my_flibs"
    47554237  fi
     
    47894271  ac_cv_f77_libs="$FLIBS"
    47904272fi
     4273
     4274if test "x$orig_FLIBS" != "x$FLIBS" ; then
     4275  { echo "$as_me:$LINENO: Corrected Fortran libraries: $FLIBS" >&5
     4276echo "$as_me: Corrected Fortran libraries: $FLIBS" >&6;}
     4277fi
     4278
     4279ac_ext=f
     4280ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4281ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4282ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4283
     4284echo "$as_me:$LINENO: checking for dummy main to link with Fortran libraries" >&5
     4285echo $ECHO_N "checking for dummy main to link with Fortran libraries... $ECHO_C" >&6
     4286if test "${ac_cv_f77_dummy_main+set}" = set; then
     4287  echo $ECHO_N "(cached) $ECHO_C" >&6
     4288else
     4289  ac_f77_dm_save_LIBS=$LIBS
     4290 LIBS="$LIBS $FLIBS"
     4291 ac_fortran_dm_var=F77_DUMMY_MAIN
     4292 ac_ext=c
     4293ac_cpp='$CPP $CPPFLAGS'
     4294ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4295ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4296ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4297
     4298 # First, try linking without a dummy main:
     4299 cat >conftest.$ac_ext <<_ACEOF
     4300/* confdefs.h.  */
     4301_ACEOF
     4302cat confdefs.h >>conftest.$ac_ext
     4303cat >>conftest.$ac_ext <<_ACEOF
     4304/* end confdefs.h.  */
     4305
     4306#ifdef F77_DUMMY_MAIN
     4307
     4308#  ifdef __cplusplus
     4309     extern "C"
     4310#  endif
     4311   int F77_DUMMY_MAIN() { return 1; }
     4312
     4313#endif
     4314int
     4315main ()
     4316{
     4317
     4318  ;
     4319  return 0;
     4320}
     4321_ACEOF
     4322rm -f conftest.$ac_objext conftest$ac_exeext
     4323if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4324  (eval $ac_link) 2>conftest.er1
     4325  ac_status=$?
     4326  grep -v '^ *+' conftest.er1 >conftest.err
     4327  rm -f conftest.er1
     4328  cat conftest.err >&5
     4329  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4330  (exit $ac_status); } &&
     4331         { ac_try='test -z "$ac_c_werror_flag"
     4332                         || test ! -s conftest.err'
     4333  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4334  (eval $ac_try) 2>&5
     4335  ac_status=$?
     4336  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4337  (exit $ac_status); }; } &&
     4338         { ac_try='test -s conftest$ac_exeext'
     4339  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4340  (eval $ac_try) 2>&5
     4341  ac_status=$?
     4342  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4343  (exit $ac_status); }; }; then
     4344  ac_cv_fortran_dummy_main=none
     4345else
     4346  echo "$as_me: failed program was:" >&5
     4347sed 's/^/| /' conftest.$ac_ext >&5
     4348
     4349ac_cv_fortran_dummy_main=unknown
     4350fi
     4351rm -f conftest.err conftest.$ac_objext \
     4352      conftest$ac_exeext conftest.$ac_ext
     4353
     4354 if test $ac_cv_fortran_dummy_main = unknown; then
     4355   for ac_func in MAIN__ MAIN_ __main MAIN _MAIN __MAIN main_ main__ _main; do
     4356     cat >conftest.$ac_ext <<_ACEOF
     4357/* confdefs.h.  */
     4358_ACEOF
     4359cat confdefs.h >>conftest.$ac_ext
     4360cat >>conftest.$ac_ext <<_ACEOF
     4361/* end confdefs.h.  */
     4362#define $ac_fortran_dm_var $ac_func
     4363#ifdef F77_DUMMY_MAIN
     4364
     4365#  ifdef __cplusplus
     4366     extern "C"
     4367#  endif
     4368   int F77_DUMMY_MAIN() { return 1; }
     4369
     4370#endif
     4371int
     4372main ()
     4373{
     4374
     4375  ;
     4376  return 0;
     4377}
     4378_ACEOF
     4379rm -f conftest.$ac_objext conftest$ac_exeext
     4380if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4381  (eval $ac_link) 2>conftest.er1
     4382  ac_status=$?
     4383  grep -v '^ *+' conftest.er1 >conftest.err
     4384  rm -f conftest.er1
     4385  cat conftest.err >&5
     4386  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4387  (exit $ac_status); } &&
     4388         { ac_try='test -z "$ac_c_werror_flag"
     4389                         || test ! -s conftest.err'
     4390  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4391  (eval $ac_try) 2>&5
     4392  ac_status=$?
     4393  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4394  (exit $ac_status); }; } &&
     4395         { ac_try='test -s conftest$ac_exeext'
     4396  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4397  (eval $ac_try) 2>&5
     4398  ac_status=$?
     4399  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4400  (exit $ac_status); }; }; then
     4401  ac_cv_fortran_dummy_main=$ac_func; break
     4402else
     4403  echo "$as_me: failed program was:" >&5
     4404sed 's/^/| /' conftest.$ac_ext >&5
     4405
     4406fi
     4407rm -f conftest.err conftest.$ac_objext \
     4408      conftest$ac_exeext conftest.$ac_ext
     4409   done
     4410 fi
     4411 ac_ext=f
     4412ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4413ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4414ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4415 ac_cv_f77_dummy_main=$ac_cv_fortran_dummy_main
     4416 rm -f conftest*
     4417 LIBS=$ac_f77_dm_save_LIBS
     4418
     4419fi
     4420echo "$as_me:$LINENO: result: $ac_cv_f77_dummy_main" >&5
     4421echo "${ECHO_T}$ac_cv_f77_dummy_main" >&6
     4422F77_DUMMY_MAIN=$ac_cv_f77_dummy_main
     4423if test "$F77_DUMMY_MAIN" != unknown; then
     4424  if test $F77_DUMMY_MAIN != none; then
     4425
     4426cat >>confdefs.h <<_ACEOF
     4427#define F77_DUMMY_MAIN $F77_DUMMY_MAIN
     4428_ACEOF
     4429
     4430  if test "x$ac_cv_fc_dummy_main" = "x$ac_cv_f77_dummy_main"; then
     4431
     4432cat >>confdefs.h <<\_ACEOF
     4433#define FC_DUMMY_MAIN_EQ_F77 1
     4434_ACEOF
     4435
     4436  fi
     4437fi
     4438else
     4439  { { echo "$as_me:$LINENO: error: linking to Fortran libraries from C fails
     4440See \`config.log' for more details." >&5
     4441echo "$as_me: error: linking to Fortran libraries from C fails
     4442See \`config.log' for more details." >&2;}
     4443   { (exit 1); exit 1; }; }
     4444fi
     4445
     4446
     4447ac_ext=f
     4448ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4449ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4450ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4451
     4452ac_ext=f
     4453ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4454ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4455ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4456echo "$as_me:$LINENO: checking for Fortran name-mangling scheme" >&5
     4457echo $ECHO_N "checking for Fortran name-mangling scheme... $ECHO_C" >&6
     4458if test "${ac_cv_f77_mangling+set}" = set; then
     4459  echo $ECHO_N "(cached) $ECHO_C" >&6
     4460else
     4461  cat >conftest.$ac_ext <<_ACEOF
     4462      subroutine foobar()
     4463      return
     4464      end
     4465      subroutine foo_bar()
     4466      return
     4467      end
     4468_ACEOF
     4469rm -f conftest.$ac_objext
     4470if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     4471  (eval $ac_compile) 2>conftest.er1
     4472  ac_status=$?
     4473  grep -v '^ *+' conftest.er1 >conftest.err
     4474  rm -f conftest.er1
     4475  cat conftest.err >&5
     4476  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4477  (exit $ac_status); } &&
     4478         { ac_try='test -z "$ac_f77_werror_flag"
     4479                         || test ! -s conftest.err'
     4480  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4481  (eval $ac_try) 2>&5
     4482  ac_status=$?
     4483  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4484  (exit $ac_status); }; } &&
     4485         { ac_try='test -s conftest.$ac_objext'
     4486  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4487  (eval $ac_try) 2>&5
     4488  ac_status=$?
     4489  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4490  (exit $ac_status); }; }; then
     4491  mv conftest.$ac_objext cfortran_test.$ac_objext
     4492
     4493  ac_save_LIBS=$LIBS
     4494  LIBS="cfortran_test.$ac_objext $LIBS $FLIBS"
     4495
     4496  ac_ext=c
     4497ac_cpp='$CPP $CPPFLAGS'
     4498ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4499ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4500ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4501  ac_success=no
     4502  for ac_foobar in foobar FOOBAR; do
     4503    for ac_underscore in "" "_"; do
     4504      ac_func="$ac_foobar$ac_underscore"
     4505      cat >conftest.$ac_ext <<_ACEOF
     4506/* confdefs.h.  */
     4507_ACEOF
     4508cat confdefs.h >>conftest.$ac_ext
     4509cat >>conftest.$ac_ext <<_ACEOF
     4510/* end confdefs.h.  */
     4511
     4512/* Override any gcc2 internal prototype to avoid an error.  */
     4513#ifdef __cplusplus
     4514extern "C"
     4515#endif
     4516/* We use char because int might match the return type of a gcc2
     4517   builtin and then its argument prototype would still apply.  */
     4518char $ac_func ();
     4519#ifdef F77_DUMMY_MAIN
     4520
     4521#  ifdef __cplusplus
     4522     extern "C"
     4523#  endif
     4524   int F77_DUMMY_MAIN() { return 1; }
     4525
     4526#endif
     4527int
     4528main ()
     4529{
     4530$ac_func ();
     4531  ;
     4532  return 0;
     4533}
     4534_ACEOF
     4535rm -f conftest.$ac_objext conftest$ac_exeext
     4536if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4537  (eval $ac_link) 2>conftest.er1
     4538  ac_status=$?
     4539  grep -v '^ *+' conftest.er1 >conftest.err
     4540  rm -f conftest.er1
     4541  cat conftest.err >&5
     4542  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4543  (exit $ac_status); } &&
     4544         { ac_try='test -z "$ac_c_werror_flag"
     4545                         || test ! -s conftest.err'
     4546  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4547  (eval $ac_try) 2>&5
     4548  ac_status=$?
     4549  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4550  (exit $ac_status); }; } &&
     4551         { ac_try='test -s conftest$ac_exeext'
     4552  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4553  (eval $ac_try) 2>&5
     4554  ac_status=$?
     4555  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4556  (exit $ac_status); }; }; then
     4557  ac_success=yes; break 2
     4558else
     4559  echo "$as_me: failed program was:" >&5
     4560sed 's/^/| /' conftest.$ac_ext >&5
     4561
     4562fi
     4563rm -f conftest.err conftest.$ac_objext \
     4564      conftest$ac_exeext conftest.$ac_ext
     4565    done
     4566  done
     4567  ac_ext=f
     4568ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4569ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4570ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4571
     4572  if test "$ac_success" = "yes"; then
     4573     case $ac_foobar in
     4574        foobar)
     4575           ac_case=lower
     4576           ac_foo_bar=foo_bar
     4577           ;;
     4578        FOOBAR)
     4579           ac_case=upper
     4580           ac_foo_bar=FOO_BAR
     4581           ;;
     4582     esac
     4583
     4584     ac_ext=c
     4585ac_cpp='$CPP $CPPFLAGS'
     4586ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4587ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4588ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4589     ac_success_extra=no
     4590     for ac_extra in "" "_"; do
     4591        ac_func="$ac_foo_bar$ac_underscore$ac_extra"
     4592        cat >conftest.$ac_ext <<_ACEOF
     4593/* confdefs.h.  */
     4594_ACEOF
     4595cat confdefs.h >>conftest.$ac_ext
     4596cat >>conftest.$ac_ext <<_ACEOF
     4597/* end confdefs.h.  */
     4598
     4599/* Override any gcc2 internal prototype to avoid an error.  */
     4600#ifdef __cplusplus
     4601extern "C"
     4602#endif
     4603/* We use char because int might match the return type of a gcc2
     4604   builtin and then its argument prototype would still apply.  */
     4605char $ac_func ();
     4606#ifdef F77_DUMMY_MAIN
     4607
     4608#  ifdef __cplusplus
     4609     extern "C"
     4610#  endif
     4611   int F77_DUMMY_MAIN() { return 1; }
     4612
     4613#endif
     4614int
     4615main ()
     4616{
     4617$ac_func ();
     4618  ;
     4619  return 0;
     4620}
     4621_ACEOF
     4622rm -f conftest.$ac_objext conftest$ac_exeext
     4623if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4624  (eval $ac_link) 2>conftest.er1
     4625  ac_status=$?
     4626  grep -v '^ *+' conftest.er1 >conftest.err
     4627  rm -f conftest.er1
     4628  cat conftest.err >&5
     4629  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4630  (exit $ac_status); } &&
     4631         { ac_try='test -z "$ac_c_werror_flag"
     4632                         || test ! -s conftest.err'
     4633  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4634  (eval $ac_try) 2>&5
     4635  ac_status=$?
     4636  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4637  (exit $ac_status); }; } &&
     4638         { ac_try='test -s conftest$ac_exeext'
     4639  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4640  (eval $ac_try) 2>&5
     4641  ac_status=$?
     4642  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4643  (exit $ac_status); }; }; then
     4644  ac_success_extra=yes; break
     4645else
     4646  echo "$as_me: failed program was:" >&5
     4647sed 's/^/| /' conftest.$ac_ext >&5
     4648
     4649fi
     4650rm -f conftest.err conftest.$ac_objext \
     4651      conftest$ac_exeext conftest.$ac_ext
     4652     done
     4653     ac_ext=f
     4654ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4655ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4656ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4657
     4658     if test "$ac_success_extra" = "yes"; then
     4659        ac_cv_f77_mangling="$ac_case case"
     4660        if test -z "$ac_underscore"; then
     4661           ac_cv_f77_mangling="$ac_cv_f77_mangling, no underscore"
     4662        else
     4663           ac_cv_f77_mangling="$ac_cv_f77_mangling, underscore"
     4664        fi
     4665        if test -z "$ac_extra"; then
     4666           ac_cv_f77_mangling="$ac_cv_f77_mangling, no extra underscore"
     4667        else
     4668           ac_cv_f77_mangling="$ac_cv_f77_mangling, extra underscore"
     4669        fi
     4670      else
     4671        ac_cv_f77_mangling="unknown"
     4672      fi
     4673  else
     4674     ac_cv_f77_mangling="unknown"
     4675  fi
     4676
     4677  LIBS=$ac_save_LIBS
     4678  rm -f cfortran_test* conftest*
     4679else
     4680  echo "$as_me: failed program was:" >&5
     4681sed 's/^/| /' conftest.$ac_ext >&5
     4682
     4683{ { echo "$as_me:$LINENO: error: cannot compile a simple Fortran program
     4684See \`config.log' for more details." >&5
     4685echo "$as_me: error: cannot compile a simple Fortran program
     4686See \`config.log' for more details." >&2;}
     4687   { (exit 1); exit 1; }; }
     4688fi
     4689rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     4690
     4691fi
     4692echo "$as_me:$LINENO: result: $ac_cv_f77_mangling" >&5
     4693echo "${ECHO_T}$ac_cv_f77_mangling" >&6
     4694
     4695ac_ext=f
     4696ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4697ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4698ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4699
     4700
     4701ac_ext=f
     4702ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4703ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4704ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4705
     4706ac_ext=f
     4707ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4708ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4709ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4710
     4711
     4712case $ac_cv_f77_mangling in
     4713  "lower case, no underscore, no extra underscore")
     4714          cat >>confdefs.h <<\_ACEOF
     4715#define F77_FUNC(name,NAME) name
     4716_ACEOF
     4717
     4718          cat >>confdefs.h <<\_ACEOF
     4719#define F77_FUNC_(name,NAME) name
     4720_ACEOF
     4721 ;;
     4722  "lower case, no underscore, extra underscore")
     4723          cat >>confdefs.h <<\_ACEOF
     4724#define F77_FUNC(name,NAME) name
     4725_ACEOF
     4726
     4727          cat >>confdefs.h <<\_ACEOF
     4728#define F77_FUNC_(name,NAME) name ## _
     4729_ACEOF
     4730 ;;
     4731  "lower case, underscore, no extra underscore")
     4732          cat >>confdefs.h <<\_ACEOF
     4733#define F77_FUNC(name,NAME) name ## _
     4734_ACEOF
     4735
     4736          cat >>confdefs.h <<\_ACEOF
     4737#define F77_FUNC_(name,NAME) name ## _
     4738_ACEOF
     4739 ;;
     4740  "lower case, underscore, extra underscore")
     4741          cat >>confdefs.h <<\_ACEOF
     4742#define F77_FUNC(name,NAME) name ## _
     4743_ACEOF
     4744
     4745          cat >>confdefs.h <<\_ACEOF
     4746#define F77_FUNC_(name,NAME) name ## __
     4747_ACEOF
     4748 ;;
     4749  "upper case, no underscore, no extra underscore")
     4750          cat >>confdefs.h <<\_ACEOF
     4751#define F77_FUNC(name,NAME) NAME
     4752_ACEOF
     4753
     4754          cat >>confdefs.h <<\_ACEOF
     4755#define F77_FUNC_(name,NAME) NAME
     4756_ACEOF
     4757 ;;
     4758  "upper case, no underscore, extra underscore")
     4759          cat >>confdefs.h <<\_ACEOF
     4760#define F77_FUNC(name,NAME) NAME
     4761_ACEOF
     4762
     4763          cat >>confdefs.h <<\_ACEOF
     4764#define F77_FUNC_(name,NAME) NAME ## _
     4765_ACEOF
     4766 ;;
     4767  "upper case, underscore, no extra underscore")
     4768          cat >>confdefs.h <<\_ACEOF
     4769#define F77_FUNC(name,NAME) NAME ## _
     4770_ACEOF
     4771
     4772          cat >>confdefs.h <<\_ACEOF
     4773#define F77_FUNC_(name,NAME) NAME ## _
     4774_ACEOF
     4775 ;;
     4776  "upper case, underscore, extra underscore")
     4777          cat >>confdefs.h <<\_ACEOF
     4778#define F77_FUNC(name,NAME) NAME ## _
     4779_ACEOF
     4780
     4781          cat >>confdefs.h <<\_ACEOF
     4782#define F77_FUNC_(name,NAME) NAME ## __
     4783_ACEOF
     4784 ;;
     4785  *)
     4786          { echo "$as_me:$LINENO: WARNING: unknown Fortran name-mangling scheme" >&5
     4787echo "$as_me: WARNING: unknown Fortran name-mangling scheme" >&2;}
     4788          ;;
     4789esac
     4790
     4791ac_ext=f
     4792ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4793ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4794ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    47914795
    47924796ac_ext=c
     
    66446648*-*-irix6*)
    66456649  # Find out which ABI we are using.
    6646   echo '#line 6646 "configure"' > conftest.$ac_ext
     6650  echo '#line 6650 "configure"' > conftest.$ac_ext
    66476651  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    66486652  (eval $ac_compile) 2>&5
     
    91219125   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    91229126   -e 's:$: $lt_compiler_flag:'`
    9123    (eval echo "\"\$as_me:9123: $lt_compile\"" >&5)
     9127   (eval echo "\"\$as_me:9127: $lt_compile\"" >&5)
    91249128   (eval "$lt_compile" 2>conftest.err)
    91259129   ac_status=$?
    91269130   cat conftest.err >&5
    9127    echo "$as_me:9127: \$? = $ac_status" >&5
     9131   echo "$as_me:9131: \$? = $ac_status" >&5
    91289132   if (exit $ac_status) && test -s "$ac_outfile"; then
    91299133     # The compiler can only warn and ignore the option if not recognized
     
    93899393   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93909394   -e 's:$: $lt_compiler_flag:'`
    9391    (eval echo "\"\$as_me:9391: $lt_compile\"" >&5)
     9395   (eval echo "\"\$as_me:9395: $lt_compile\"" >&5)
    93929396   (eval "$lt_compile" 2>conftest.err)
    93939397   ac_status=$?
    93949398   cat conftest.err >&5
    9395    echo "$as_me:9395: \$? = $ac_status" >&5
     9399   echo "$as_me:9399: \$? = $ac_status" >&5
    93969400   if (exit $ac_status) && test -s "$ac_outfile"; then
    93979401     # The compiler can only warn and ignore the option if not recognized
     
    94939497   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94949498   -e 's:$: $lt_compiler_flag:'`
    9495    (eval echo "\"\$as_me:9495: $lt_compile\"" >&5)
     9499   (eval echo "\"\$as_me:9499: $lt_compile\"" >&5)
    94969500   (eval "$lt_compile" 2>out/conftest.err)
    94979501   ac_status=$?
    94989502   cat out/conftest.err >&5
    9499    echo "$as_me:9499: \$? = $ac_status" >&5
     9503   echo "$as_me:9503: \$? = $ac_status" >&5
    95009504   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    95019505   then
     
    1191011914  lt_status=$lt_dlunknown
    1191111915  cat > conftest.$ac_ext <<EOF
    11912 #line 11912 "configure"
     11916#line 11916 "configure"
    1191311917#include "confdefs.h"
    1191411918
     
    1201012014  lt_status=$lt_dlunknown
    1201112015  cat > conftest.$ac_ext <<EOF
    12012 #line 12012 "configure"
     12016#line 12016 "configure"
    1201312017#include "confdefs.h"
    1201412018
     
    1437014374   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1437114375   -e 's:$: $lt_compiler_flag:'`
    14372    (eval echo "\"\$as_me:14372: $lt_compile\"" >&5)
     14376   (eval echo "\"\$as_me:14376: $lt_compile\"" >&5)
    1437314377   (eval "$lt_compile" 2>conftest.err)
    1437414378   ac_status=$?
    1437514379   cat conftest.err >&5
    14376    echo "$as_me:14376: \$? = $ac_status" >&5
     14380   echo "$as_me:14380: \$? = $ac_status" >&5
    1437714381   if (exit $ac_status) && test -s "$ac_outfile"; then
    1437814382     # The compiler can only warn and ignore the option if not recognized
     
    1447414478   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1447514479   -e 's:$: $lt_compiler_flag:'`
    14476    (eval echo "\"\$as_me:14476: $lt_compile\"" >&5)
     14480   (eval echo "\"\$as_me:14480: $lt_compile\"" >&5)
    1447714481   (eval "$lt_compile" 2>out/conftest.err)
    1447814482   ac_status=$?
    1447914483   cat out/conftest.err >&5
    14480    echo "$as_me:14480: \$? = $ac_status" >&5
     14484   echo "$as_me:14484: \$? = $ac_status" >&5
    1448114485   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1448214486   then
     
    1604416048   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1604516049   -e 's:$: $lt_compiler_flag:'`
    16046    (eval echo "\"\$as_me:16046: $lt_compile\"" >&5)
     16050   (eval echo "\"\$as_me:16050: $lt_compile\"" >&5)
    1604716051   (eval "$lt_compile" 2>conftest.err)
    1604816052   ac_status=$?
    1604916053   cat conftest.err >&5
    16050    echo "$as_me:16050: \$? = $ac_status" >&5
     16054   echo "$as_me:16054: \$? = $ac_status" >&5
    1605116055   if (exit $ac_status) && test -s "$ac_outfile"; then
    1605216056     # The compiler can only warn and ignore the option if not recognized
     
    1614816152   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1614916153   -e 's:$: $lt_compiler_flag:'`
    16150    (eval echo "\"\$as_me:16150: $lt_compile\"" >&5)
     16154   (eval echo "\"\$as_me:16154: $lt_compile\"" >&5)
    1615116155   (eval "$lt_compile" 2>out/conftest.err)
    1615216156   ac_status=$?
    1615316157   cat out/conftest.err >&5
    16154    echo "$as_me:16154: \$? = $ac_status" >&5
     16158   echo "$as_me:16158: \$? = $ac_status" >&5
    1615516159   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1615616160   then
     
    1835518359   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1835618360   -e 's:$: $lt_compiler_flag:'`
    18357    (eval echo "\"\$as_me:18357: $lt_compile\"" >&5)
     18361   (eval echo "\"\$as_me:18361: $lt_compile\"" >&5)
    1835818362   (eval "$lt_compile" 2>conftest.err)
    1835918363   ac_status=$?
    1836018364   cat conftest.err >&5
    18361    echo "$as_me:18361: \$? = $ac_status" >&5
     18365   echo "$as_me:18365: \$? = $ac_status" >&5
    1836218366   if (exit $ac_status) && test -s "$ac_outfile"; then
    1836318367     # The compiler can only warn and ignore the option if not recognized
     
    1862318627   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1862418628   -e 's:$: $lt_compiler_flag:'`
    18625    (eval echo "\"\$as_me:18625: $lt_compile\"" >&5)
     18629   (eval echo "\"\$as_me:18629: $lt_compile\"" >&5)
    1862618630   (eval "$lt_compile" 2>conftest.err)
    1862718631   ac_status=$?
    1862818632   cat conftest.err >&5
    18629    echo "$as_me:18629: \$? = $ac_status" >&5
     18633   echo "$as_me:18633: \$? = $ac_status" >&5
    1863018634   if (exit $ac_status) && test -s "$ac_outfile"; then
    1863118635     # The compiler can only warn and ignore the option if not recognized
     
    1872718731   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1872818732   -e 's:$: $lt_compiler_flag:'`
    18729    (eval echo "\"\$as_me:18729: $lt_compile\"" >&5)
     18733   (eval echo "\"\$as_me:18733: $lt_compile\"" >&5)
    1873018734   (eval "$lt_compile" 2>out/conftest.err)
    1873118735   ac_status=$?
    1873218736   cat out/conftest.err >&5
    18733    echo "$as_me:18733: \$? = $ac_status" >&5
     18737   echo "$as_me:18737: \$? = $ac_status" >&5
    1873418738   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1873518739   then
Note: See TracChangeset for help on using the changeset viewer.